# coding: utf-8
require 'sinatra'
require 'sinatra/reloader' if development?

configure do
  set :cars, [
    { manufacturer: 'Toyota', year: 2008 },
    { manufacturer: 'Honda', year: 1995 }
  ]
end

get '/' do
  @cars = settings.cars
  erb :main
end

get '/add' do
  erb :add
end

post '/add' do
  @errors = []
  if params['manufacturer'].strip.empty?
    @errors.push('Вы не указали имя производителя')
  end
  if params['year'].to_i < 1885
    @errors.push('В то время автомобили не выпускались')
  end
  return erb :add unless @errors.empty?
  settings.cars.push(
    {
      manufacturer: params['manufacturer'],
      year: params['year'].to_i
    }
  )
  redirect to('/')
end

get '/test' do
  'You shall not pass'
end

get '/test-two' do
  "Hello World"
end
